Bug 184106 - subcommand "provides" fails to search some files by filename
subcommand "provides" fails to search some files by filename
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-06 07:49 EST by Kazutoshi Morioka
Modified: 2014-01-21 17:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-26 11:34:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kazutoshi Morioka 2006-03-06 07:49:13 EST
Description of problem:
Subcommand "provides" fails to find some files by filename.
For example, "yum provides CoreP.h" can't find /usr/include/X11/CoreP.h.
But "yum provides /usr/include/X11/CoreP.h" can find libXt-devel.i386.

Version-Release number of selected component (if applicable):
yum-2.4.1-1.fc4
sqlite-3.1.2-3
python-sqlite-1.1.6-1

How reproducible:
always

Steps to Reproduce:
1.do this command
yum provides CoreP.h
  
Actual results:
Loading "installonlyn" plugin
Searching Packages:
Setting up repositories
development                                                          [1/2]
extras-development                                                   [2/2]
Reading repository metadata in from local files
Importing additional filelist information
No Matches found


Expected results:
Loading "installonlyn" plugin
Searching Packages:
Setting up repositories
development                                                          [1/2]
extras-development                                                   [2/2]
Reading repository metadata in from local files
Importing additional filelist information


libXt-devel.i386                         1.0.0-2.2              development
Matched from:
/usr/include/X11/CoreP.h


Additional info:
Fdora Core 4's yum can find CoreP.h by filename.
Comment 1 Seth Vidal 2006-03-06 07:55:52 EST
It's been fixed in CVS for yum 2.5.X.

Comment 2 Ignacio Vazquez-Abrams 2006-03-23 16:06:37 EST
I'm seeing this in 2.6.0. It won't find it in the repo, but it will find it in
installed packages.

# yum provides checkmodule
Loading "installonlyn" plugin
Searching Packages:
Setting up repositories
core                                                                 [1/3]
extras                                                               [2/3]
updates                                                              [3/3]
Reading repository metadata in from local files
Importing additional filelist information


checkpolicy.i386                         1.29.4-1               installed
Matched from:
/usr/bin/checkmodule
/usr/share/man/man8/checkmodule.8.gz
# rpm -q yum
yum-2.6.0-1

Specifying the full path works:

# yum provides /usr/bin/checkmodule
Loading "installonlyn" plugin
Searching Packages:
Setting up repositories
core                                                                 [1/3]
extras                                                               [2/3]
updates                                                              [3/3]
Reading repository metadata in from local files


checkpolicy.i386                         1.29.4-1               core
Matched from:
/usr/bin/checkmodule


checkpolicy.i386                         1.29.4-1               installed
Matched from:
/usr/bin/checkmodule
Comment 3 Jef Spaleta 2006-03-23 16:23:32 EST
Just an fyi something similar is happening with a fully updated fc4 machine i have

yum provides "bin/dict"  fails to return any matched when dictd is not installed

yum provides "bin/dict"  returns matches if dictd is installed
 yum provides "bin/dict"
Searching Packages:
Setting up repositories
Reading repository metadata in from local files


dictd.i386                               1.9.7-8                installed
Matched from:
/usr/bin/dict
/usr/bin/dictdplugin-config
/usr/bin/dictfmt
/usr/bin/dictfmt_index2suffix
/usr/bin/dictfmt_index2word
/usr/bin/dictfmt_plugin
/usr/bin/dictfmt_virtual
/usr/bin/dictunformat
/usr/bin/dictzip
/usr/sbin/dictd

Comment 4 Seth Vidal 2006-04-04 20:41:38 EDT
I can't recreate this problem anymore at all.
Comment 5 Dawid Gajownik 2006-04-10 16:04:34 EDT
I see this problem too:

[root@X ~]# yum provides xcomposite.pc
Loading "installonlyn" plugin
Searching Packages:
Setting up repositories
livna                                                                [1/5]
updates                                                              [2/5]
core                                                                 [3/5]
updates-testing                                                      [4/5]
extras                                                               [5/5]
Reading repository metadata in from local files
Importing additional filelist information


libXcomposite-devel.i386                 0.2.2.2-2.2            installed
Matched from:
/usr/lib/pkgconfig/xcomposite.pc
[root@X ~]# rpm -e libXcomposite-devel
[root@X ~]# yum provides xcomposite.pc
Loading "installonlyn" plugin
Searching Packages:
Setting up repositories
livna                                                                [1/5]
updates                                                              [2/5]
core                                                                 [3/5]
updates-testing                                                      [4/5]
extras                                                               [5/5]
Reading repository metadata in from local files
Importing additional filelist information
No Matches found
[root@X ~]# rpm -q yum
yum-2.6.0-1
[root@X ~]#
Comment 6 Seth Vidal 2006-04-26 11:33:07 EDT
okay here is the output from what will become yum 2.6.1:

 ./yummain.py provides xcomposite.pc
Searching Packages:
Setting up repositories
updates-released                                                     [1/4]
livna                                                                [2/4]
base                                                                 [3/4]
extras                                                               [4/4]
Reading repository metadata in from local files
Importing additional filelist information


xorg-x11-devel.i386                      6.8.2-37.FC4.49.2      updates-released
Matched from:
/usr/lib/pkgconfig/xcomposite.pc


xorg-x11-devel.i386                      6.8.2-31               base
Matched from:
/usr/lib/pkgconfig/xcomposite.pc


xorg-x11-devel.i386                      6.8.2-37.FC4.49.2      installed
Matched from:
/usr/lib/pkgconfig/xcomposite.pc



I think this is now fixed upstream.

Note You need to log in before you can comment on or make changes to this bug.